Bug 11151 - freshen just upgrades with remote packages
freshen just upgrades with remote packages
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
6.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-05-01 15:14 EDT by Joshua Jensen
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-01 15:14:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua Jensen 2000-05-01 15:14:03 EDT
rpm -e gpm-devel
rpm -Fvh	\
ftp://metalab.unc.edu/pub/Linux/distributions/redhat/updates/6.2/i386/gpm-devel-1.19.1-1.i386.rpm

This upgrades!  It is acting like a -U, and not a -F.
I presume this bug is the same for http protocols, but I have not tested
this assumption.  I have tested with ftp globs, and rpm still behaves as
described above.

Joshua Jensen
joshua@iwsp.com
joshua@redhat.com
Comment 1 Jeff Johnson 2001-01-09 10:58:22 EST
I believe this is fixed in rpm-3.0.5 and later.

Note You need to log in before you can comment on or make changes to this bug.